package livework;
/* (c) Alex McLean 2006
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import jedit.DefaultInputHandler;

/**
 * A simple subclass of JEdit's DefaultInputHandler to bind ALT-x to  the editor's save method.
 * @author  Alex McLean - ma503am@gold.ac.uk
 */

public class EditorInputHandler extends DefaultInputHandler {

	private Editor editor; 

	/**
	 * Contructor for this class
	 * @param editor The editor this is the input handler for
	 */
	public EditorInputHandler(Editor editor) {
		super();
		this.editor = editor;
		addDefaultKeyBindings();
	}
	
	/**
	 * Adds ALT-x to the defaults
	 */
	public void addDefaultKeyBindings() {
		super.addDefaultKeyBindings();
		addKeyBinding("A+x", 
				      new ActionListener() {
						  public void actionPerformed(ActionEvent evt) {
				              editor.save();
			              }
					  }
				     );
	}
}
