package livework;
/* (c) Alex McLean 2006
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

import javax.swing.*;
import java.io.*;

/**
 * A textarea that captures standard error and displays it in itself
 * @author Alex McLean - ma503am@gold.ac.uk
 */
public class ErrTextArea extends JTextArea {
	/** Stream to replace standard error with */
	PrintStream printStream = 
		new PrintStream(new FilteredStream(new ByteArrayOutputStream()));

	/** I'm not going to serialize this class, but this avoids a compiler warning */
	private static final long serialVersionUID = 1;

	/**
	 * Constructor for this class
	 */
	ErrTextArea() {
		this.setEditable(false);
		System.setErr(printStream);
    }
	
	/**
	 * Inner class for our replacement standard error to use
	 */
	class FilteredStream extends FilterOutputStream {
		public FilteredStream(OutputStream aStream) {
			super(aStream);
		}

		public void write(byte b[]) throws IOException {
			String aString = new String(b);
			append(aString);
		}

		public void write(byte b[], int off, int len) throws IOException {
			String aString = new String(b , off , len);
			append(aString);
		}
	}
}
   