package livework;
/* (c) Alex McLean 2006
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

import javax.swing.*;

/**
 * Class containing static utility methods
 * @author Alex McLean - ma503am@gold.ac.uk
 */
public class Util {
	
	/**
	 * This class cannot be instantiated
	 */
	protected Util() {
	}
	
	/**
	 * Displays an error dialog and exits
	 * @param title Title of the dialog (or null for the default)
	 * @param message Contents of the dialog (required)
	 * @param e Exception that caused the error (or null if none)
	 */
	
	static public void error(String title, String message, Exception e) {
		if (title == null) {
			title = "Error";
		}
		
		JOptionPane.showMessageDialog(new JFrame(), message, title,
									  JOptionPane.ERROR_MESSAGE
									 );

		if (e != null) {
			e.printStackTrace();
		}
		System.exit(1);
	}
}

